/***************************************************************************
*  ASSIMA 2003
****************************************************************************/

/****************************************************************************
* NAME: TInfoResult
* DSC.: Constructor Info Result
****************************************************************************/
function TInfoResult() {

	this.UserId="";
	this.Tips=0;
	this.PlayBack=0;
	this.Fault=0;
	this.Correct=0;
	this.Score=0;
	this.BegTime="";
	this.EndTime="";
	this.Finished=0;
}


/**************************************************
* NAME: TInfoTut
* DSC.: Constructor for TutInfo
**************************************************/
function TInfoTut(){
	this.name ="";
	this.group="";
}


/****************************************************************************
* NAME: ObjectToStringURL
* DSC.: ToString Redefinition function
****************************************************************************/
function ObjectToStringURL() {
	var ret = "";
	
	for (var prop in this)
		{ret += prop+"="+this[prop]+"&";}
	
	if (ret.charAt(ret.length-1)=='&')
		{ret=ret.substring(0,ret.length-1);}
	return ret;
}

TInfoResult.prototype.toString = ObjectToStringURL;
TInfoTut.prototype.toString = ObjectToStringURL;


/****************************************************************************
* NAME: Transmit_Result
* DSC.: Send Result  
****************************************************************************/
function Transmit_Result(InfoResult,InfoTut)
{
	// Send Results to Window popup result
	// Remove comments or write your code here  
	window.open('../../../../templates/resultsimul.htm?'+InfoResult+'&'+InfoTut, 'resultsimul', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=410,height=350,left=50,top=50');
}

/****************************************************************************
* NAME: LaunchScorePopup
* DSC.: Accepts String Parameters and opens a Score Popup
* NOTE: MUST BE LAUNCHED FROM "web\html\profil\all"
****************************************************************************/
function LaunchScorePopup(UserId, Tips, PlayBack, Fault, Correct, Score, BegTime, EndTime, Finished, name, group, bSim)
	{
	/**Creates the info result structure*/
	InfoResult = new TInfoResult();
	InfoResult.UserId = UserId;
	InfoResult.Tips = Tips;
	InfoResult.PlayBack = PlayBack;
	InfoResult.Fault = Fault;
	InfoResult.Correct = Correct;
	InfoResult.Score = Score;
	InfoResult.BegTime = BegTime;
	InfoResult.EndTime = EndTime;
	InfoResult.Finished = Finished;

	/**Creates the info tutorial structure*/
	InfoTut = new TInfoTut();
	InfoTut.name = name;
	InfoTut.group = group;

	/**Creates the corresponding strings*/
	ResultString = InfoResult.toString();
	TutString = InfoTut.toString();

	/**Send the data to display the popup*/
	if(bSim)
		window.open('../../../templates/resultsimul.htm?'+ResultString+'&'+TutString, 'resultsimul', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=410,height=50,left=50,top=50');
	else
		window.open('../../../templates/resultdoc.htm?'+ResultString+'&'+TutString, 'resultsimul', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=410,height=50,left=50,top=50');
	}
